#### D.4.7.5 elim2

Procedure from library `elim.lib` (see elim_lib).

Usage:
  elim2(id,v); id ideal/module, v intvec

Returns:
  ideal/module obtained from id by eliminating variables in v

Note:
  no special monomial ordering is required, result is a SB with respect to ordering dp (resp. ls) if the first var not to be eliminated belongs to a -p (resp. -s) blockordering

Example:

    LIB "elim.lib";
    ring r=0,(x,y,u,v,w),dp;
    ideal i=x-u,y-u2,w-u3,v-x+y3;
    elim2(i,3..4);
    ==> _[1]=y2-xw
    ==> _[2]=xy-w
    ==> _[3]=x2-y
    module m=i*gen(1)+i*gen(2);
    m=elim2(m,3..4);show(m);
    ==> // module, 6 generator(s)
    ==> [y2-xw]
    ==> [0,y2-xw]
    ==> [xy-w]
    ==> [0,xy-w]
    ==> [x2-y]
    ==> [0,x2-y]

See also: elim; elim1; eliminate.

User manual for Singular version 4.4.1, 2025, generated by texi2html.